net.sf.jasperreports.engine.export.tabulator

## Class Tabulator.ParentCheck

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Tabulator.ParentCheck

- All Implemented Interfaces:
    CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>
  Enclosing class:
    Tabulator

      protected class Tabulator.ParentCheck
      extends java.lang.Object
      implements CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Tabulator.ParentCheck()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `visit(ElementCell cell, FrameCell parentCell)`
    `java.lang.Boolean` | `visit(FrameCell frameCell, FrameCell parentCell)`
    `java.lang.Boolean` | `visit(LayeredCell layeredCell, FrameCell parentCell)`
    `java.lang.Boolean` | `visit(SplitCell cell, FrameCell parentCell)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tabulator.ParentCheck

          protected Tabulator.ParentCheck()

  - ### Method Detail

    - #### visit

          public java.lang.Boolean visit(ElementCell cell,
                                FrameCell parentCell)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(SplitCell cell,
                                FrameCell parentCell)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(FrameCell frameCell,
                                FrameCell parentCell)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(LayeredCell layeredCell,
                                FrameCell parentCell)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,java.lang.Boolean,java.lang.RuntimeException>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com